Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2
Class StrutsConstants

    java.lang.Object
      org.apache.struts2.StrutsConstants

    public final class StrutsConstants

extends Object

This class provides a central location for framework configuration keys used to retrieve and store Struts configuration settings.

Field Summary
`static String` | `STRUTS_ACTION_EXTENSION` The URL extension to use to determine if the request is meant for a Struts action
`static String` | `STRUTS_ACTIONPROXYFACTORY`
`static String` | `STRUTS_ALWAYS_SELECT_FULL_NAMESPACE`
`static String` | `STRUTS_CONFIGURATION` The org.apache.struts2.config.Configuration implementation class
`static String` | `STRUTS_CONFIGURATION_XML_RELOAD` Whether to reload the XML configuration or not
`static String` | `STRUTS_CONTINUATIONS_PACKAGE` The package containing actions that use Rife continuations
`static String` | `STRUTS_CUSTOM_I18N_RESOURCES` Location of additional localization properties files to load
`static String` | `STRUTS_CUSTOM_PROPERTIES` Location of additional configuration properties files to load
`static String` | `STRUTS_DEVMODE` Whether Struts is in development mode or not
`static String` | `STRUTS_DISPATCHER_PARAMETERSWORKAROUND` Whether to use a Servlet request parameter workaround necessary for some versions of WebLogic
`static String` | `STRUTS_ENABLE_DYNAMIC_METHOD_INVOCATION` Allows one to disable dynamic method invocation from the URL
`static String` | `STRUTS_ENABLE_SLASHES_IN_ACTION_NAMES` Whether slashes in action names are allowed or not
`static String` | `STRUTS_FREEMARKER_MANAGER_CLASSNAME` The org.apache.struts2.views.freemarker.FreemarkerManager implementation class
`static String` | `STRUTS_FREEMARKER_WRAPPER_ALT_MAP`
`static String` | `STRUTS_I18N_ENCODING` The encoding to use for localization messages
`static String` | `STRUTS_I18N_RELOAD` Whether the localization messages should automatically be reloaded
`static String` | `STRUTS_LOCALE` The default locale for the Struts application
`static String` | `STRUTS_MAPPER_CLASS` The org.apache.struts2.dispatcher.mapper.ActionMapper implementation class
`static String` | `STRUTS_MAPPER_COMPOSITE` Prefix used by `CompositeActionMapper` to identify its containing `ActionMapper` class.
`static String` | `STRUTS_MULTIPART_MAXSIZE` The maximize size of a multipart request (file upload)
`static String` | `STRUTS_MULTIPART_PARSER` The org.apache.struts2.dispatcher.multipart.MultiPartRequest parser implementation for a multipart request (file upload)
`static String` | `STRUTS_MULTIPART_SAVEDIR` The directory to use for storing uploaded files
`static String` | `STRUTS_OBJECTFACTORY` The com.opensymphony.xwork2.ObjectFactory implementation class
`static String` | `STRUTS_OBJECTFACTORY_SPRING_AUTOWIRE` Whether Spring should autoWire or not
`static String` | `STRUTS_OBJECTFACTORY_SPRING_USE_CLASS_CACHE` Whether Spring should use its class cache or not
`static String` | `STRUTS_OBJECTTYPEDETERMINER` The com.opensymphony.xwork2.util.ObjectTypeDeterminer implementation class
`static String` | `STRUTS_SERVE_STATIC_BROWSER_CACHE` If static content served by the Struts filter should set browser caching header properties or not
`static String` | `STRUTS_SERVE_STATIC_CONTENT` Whether the Struts filter should serve static content or not
`static String` | `STRUTS_TAG_ALTSYNTAX` Whether to use the alterative syntax for the tags or not
`static String` | `STRUTS_UI_TEMPLATEDIR` The directory containing UI templates
`static String` | `STRUTS_UI_THEME` The default UI template theme
`static String` | `STRUTS_URL_HTTP_PORT` The HTTP port used by Struts URLs
`static String` | `STRUTS_URL_HTTPS_PORT` The HTTPS port used by Struts URLs
`static String` | `STRUTS_URL_INCLUDEPARAMS` The default includeParams method to generate Struts URLs
`static String` | `STRUTS_VELOCITY_CONFIGFILE` The Velocity configuration file path
`static String` | `STRUTS_VELOCITY_CONTEXTS` List of Velocity context names
`static String` | `STRUTS_VELOCITY_MANAGER_CLASSNAME` org.apache.struts2.views.velocity.VelocityManager implementation class
`static String` | `STRUTS_VELOCITY_TOOLBOXLOCATION` The location of the Velocity toolbox
`static String` | `STRUTS_XSLT_NOCACHE` Whether or not XSLT templates should not be cached
`static String` | `STRUTS_XWORKCONVERTER` The name of the xwork converter implementation

Constructor Summary
`StrutsConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STRUTS_DEVMODE

    public static final String STRUTS_DEVMODE

  Whether Struts is in development mode or not

  See Also:
    Constant Field Values

### STRUTS_I18N_RELOAD

    public static final String STRUTS_I18N_RELOAD

  Whether the localization messages should automatically be reloaded

  See Also:
    Constant Field Values

### STRUTS_I18N_ENCODING

    public static final String STRUTS_I18N_ENCODING

  The encoding to use for localization messages

  See Also:
    Constant Field Values

### STRUTS_CONFIGURATION_XML_RELOAD

    public static final String STRUTS_CONFIGURATION_XML_RELOAD

  Whether to reload the XML configuration or not

  See Also:
    Constant Field Values

### STRUTS_ACTION_EXTENSION

    public static final String STRUTS_ACTION_EXTENSION

  The URL extension to use to determine if the request is meant for a Struts action

  See Also:
    Constant Field Values

### STRUTS_TAG_ALTSYNTAX

    public static final String STRUTS_TAG_ALTSYNTAX

  Whether to use the alterative syntax for the tags or not

  See Also:
    Constant Field Values

### STRUTS_URL_HTTP_PORT

    public static final String STRUTS_URL_HTTP_PORT

  The HTTP port used by Struts URLs

  See Also:
    Constant Field Values

### STRUTS_URL_HTTPS_PORT

    public static final String STRUTS_URL_HTTPS_PORT

  The HTTPS port used by Struts URLs

  See Also:
    Constant Field Values

### STRUTS_URL_INCLUDEPARAMS

    public static final String STRUTS_URL_INCLUDEPARAMS

  The default includeParams method to generate Struts URLs

  See Also:
    Constant Field Values

### STRUTS_OBJECTFACTORY

    public static final String STRUTS_OBJECTFACTORY

  The com.opensymphony.xwork2.ObjectFactory implementation class

  See Also:
    Constant Field Values

### STRUTS_OBJECTTYPEDETERMINER

    public static final String STRUTS_OBJECTTYPEDETERMINER

  The com.opensymphony.xwork2.util.ObjectTypeDeterminer implementation class

  See Also:
    Constant Field Values

### STRUTS_CONTINUATIONS_PACKAGE

    public static final String STRUTS_CONTINUATIONS_PACKAGE

  The package containing actions that use Rife continuations

  See Also:
    Constant Field Values

### STRUTS_CONFIGURATION

    public static final String STRUTS_CONFIGURATION

  The org.apache.struts2.config.Configuration implementation class

  See Also:
    Constant Field Values

### STRUTS_LOCALE

    public static final String STRUTS_LOCALE

  The default locale for the Struts application

  See Also:
    Constant Field Values

### STRUTS_DISPATCHER_PARAMETERSWORKAROUND

    public static final String STRUTS_DISPATCHER_PARAMETERSWORKAROUND

  Whether to use a Servlet request parameter workaround necessary for some versions of WebLogic

  See Also:
    Constant Field Values

### STRUTS_FREEMARKER_MANAGER_CLASSNAME

    public static final String STRUTS_FREEMARKER_MANAGER_CLASSNAME

  The org.apache.struts2.views.freemarker.FreemarkerManager implementation class

  See Also:
    Constant Field Values

### STRUTS_VELOCITY_MANAGER_CLASSNAME

    public static final String STRUTS_VELOCITY_MANAGER_CLASSNAME

  org.apache.struts2.views.velocity.VelocityManager implementation class

  See Also:
    Constant Field Values

### STRUTS_VELOCITY_CONFIGFILE

    public static final String STRUTS_VELOCITY_CONFIGFILE

  The Velocity configuration file path

  See Also:
    Constant Field Values

### STRUTS_VELOCITY_TOOLBOXLOCATION

    public static final String STRUTS_VELOCITY_TOOLBOXLOCATION

  The location of the Velocity toolbox

  See Also:
    Constant Field Values

### STRUTS_VELOCITY_CONTEXTS

    public static final String STRUTS_VELOCITY_CONTEXTS

  List of Velocity context names

  See Also:
    Constant Field Values

### STRUTS_UI_TEMPLATEDIR

    public static final String STRUTS_UI_TEMPLATEDIR

  The directory containing UI templates

  See Also:
    Constant Field Values

### STRUTS_UI_THEME

    public static final String STRUTS_UI_THEME

  The default UI template theme

  See Also:
    Constant Field Values

### STRUTS_MULTIPART_MAXSIZE

    public static final String STRUTS_MULTIPART_MAXSIZE

  The maximize size of a multipart request (file upload)

  See Also:
    Constant Field Values

### STRUTS_MULTIPART_SAVEDIR

    public static final String STRUTS_MULTIPART_SAVEDIR

  The directory to use for storing uploaded files

  See Also:
    Constant Field Values

### STRUTS_MULTIPART_PARSER

    public static final String STRUTS_MULTIPART_PARSER

  The org.apache.struts2.dispatcher.multipart.MultiPartRequest parser implementation for a multipart request (file upload)

  See Also:
    Constant Field Values

### STRUTS_OBJECTFACTORY_SPRING_AUTOWIRE

    public static final String STRUTS_OBJECTFACTORY_SPRING_AUTOWIRE

  Whether Spring should autoWire or not

  See Also:
    Constant Field Values

### STRUTS_OBJECTFACTORY_SPRING_USE_CLASS_CACHE

    public static final String STRUTS_OBJECTFACTORY_SPRING_USE_CLASS_CACHE

  Whether Spring should use its class cache or not

  See Also:
    Constant Field Values

### STRUTS_XSLT_NOCACHE

    public static final String STRUTS_XSLT_NOCACHE

  Whether or not XSLT templates should not be cached

  See Also:
    Constant Field Values

### STRUTS_CUSTOM_PROPERTIES

    public static final String STRUTS_CUSTOM_PROPERTIES

  Location of additional configuration properties files to load

  See Also:
    Constant Field Values

### STRUTS_CUSTOM_I18N_RESOURCES

    public static final String STRUTS_CUSTOM_I18N_RESOURCES

  Location of additional localization properties files to load

  See Also:
    Constant Field Values

### STRUTS_MAPPER_CLASS

    public static final String STRUTS_MAPPER_CLASS

  The org.apache.struts2.dispatcher.mapper.ActionMapper implementation class

  See Also:
    Constant Field Values

### STRUTS_SERVE_STATIC_CONTENT

    public static final String STRUTS_SERVE_STATIC_CONTENT

  Whether the Struts filter should serve static content or not

  See Also:
    Constant Field Values

### STRUTS_SERVE_STATIC_BROWSER_CACHE

    public static final String STRUTS_SERVE_STATIC_BROWSER_CACHE

  If static content served by the Struts filter should set browser caching header properties or not

  See Also:
    Constant Field Values

### STRUTS_ENABLE_DYNAMIC_METHOD_INVOCATION

    public static final String STRUTS_ENABLE_DYNAMIC_METHOD_INVOCATION

  Allows one to disable dynamic method invocation from the URL

  See Also:
    Constant Field Values

### STRUTS_ENABLE_SLASHES_IN_ACTION_NAMES

    public static final String STRUTS_ENABLE_SLASHES_IN_ACTION_NAMES

  Whether slashes in action names are allowed or not

  See Also:
    Constant Field Values

### STRUTS_MAPPER_COMPOSITE

    public static final String STRUTS_MAPPER_COMPOSITE

  Prefix used by `CompositeActionMapper` to identify its containing `ActionMapper` class.

  See Also:
    Constant Field Values

### STRUTS_ACTIONPROXYFACTORY

    public static final String STRUTS_ACTIONPROXYFACTORY

See Also:
  Constant Field Values

### STRUTS_FREEMARKER_WRAPPER_ALT_MAP

    public static final String STRUTS_FREEMARKER_WRAPPER_ALT_MAP

See Also:
  Constant Field Values

### STRUTS_XWORKCONVERTER

    public static final String STRUTS_XWORKCONVERTER

  The name of the xwork converter implementation

  See Also:
    Constant Field Values

### STRUTS_ALWAYS_SELECT_FULL_NAMESPACE

    public static final String STRUTS_ALWAYS_SELECT_FULL_NAMESPACE

See Also:
  Constant Field Values

Constructor Detail

### StrutsConstants

    public StrutsConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.